import java.io.*;
import java.applet.Applet;
import java.awt.*;
import java.awt.event.*;
import java.util.*;
import javax.swing.*;
import javax.swing.table.*;
import java.awt.*;
import java.awt.event.*;
import javax.swing.event.*;
import java.awt.geom.*;
import java.net.URL;
import java.awt.image.*;
import java.util.*;

public class pictureP extends JPanel
{
 private Image picture;
 
 public pictureP(String s)
 {super();
  URL url = getClass().getResource(s);
  picture = getToolkit().getImage(url);
 }


 public void paintComponent(Graphics g)
 {
 super.paintComponent(g);
 Graphics2D g2=(Graphics2D)g;
 Dimension d=getSize();
 int dx = d.width;
 int dy = d.height;
 g2.drawImage( picture, 0, 0,dx,dy, this);	
 }

}
